> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an application

> **Permissions:** [Build Access](https://help.logicgate.com/hc/en-us/articles/4402683190164-Control-Build-Access-for-Applications)

Create an application from a JSON request body.



## OpenAPI

````yaml POST /api/v2/applications
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    Welcome to the Risk Cloud API v2! This is a collection of new API-first and
    RESTful API endpoints to streamline the creation of custom integrations with
    the Risk Cloud.


    For the API documentation of our legacy API v1 endpoints, reference [Risk
    Cloud API v1](https://docs.logicgate.com/v1/index.html).
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.7.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        default: your-instance
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Access Audit
    description: >-
      An Access Audit captures information about access related events such as
      logins and logouts associated with a user.
  - name: Application
    description: >-
      An
      [Application](https://help.logicgate.com/hc/en-us/articles/4402674055572-Create-a-new-Application)
      is a collection of Workflows, Steps, and logic that collectively solve a
      business use case
  - name: Edge Path
    description: >-
      A [Conditional Edge
      Path](https://help.logicgate.com/hc/en-us/articles/4402683114004-Work-with-Paths#conditional-edge-paths)
      defines an alternative route that a Record might need to follow if
      specific conditions are met.
  - name: Field
    description: >-
      A
      [Field](https://help.logicgate.com/hc/en-us/articles/4402674064020-Create-Fields)
      is used to capture information from and display information to users in a
      Workflow
  - name: Next Path
    description: >-
      API endpoints for determining the next path(s) in a workflow, including
      routing and step information.
  - name: Record
    description: >-
      A
      [Record](https://help.logicgate.com/hc/en-us/articles/4402683104020-Complete-a-Record)
      is a form that can capture information, store cataloged data, and link to
      other Records as it moves through each Step of a Workflow
  - name: Redirect Path
    description: >-
      A [Redirect
      Path](https://help.logicgate.com/hc/en-us/articles/4402683115156-Selected-Redirects)
      gives end users access to Redirect a Record to any Step in the Workflow
      other than the Default Path or any Conditional Edge Paths.
  - name: Step
    description: >-
      A
      [Step](https://help.logicgate.com/hc/en-us/articles/4402674059668-Create-a-Step)
      lives in a Workflow and is configured with a set of Sections, Subsections
      and Fields to create a form
  - name: Workflow
    description: >-
      A
      [Workflow](https://help.logicgate.com/hc/en-us/articles/4402683108756-Create-a-new-Workflow)
      is a combination of Steps, Paths, Fields, and routing logic that combine
      to form a system in an Application
  - name: Workflow Map
    description: >-
      A [Workflow
      Map](https://help.logicgate.com/hc/en-us/articles/4402683117588)
      represents a relationship between two Workflows
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v2/applications:
    post:
      tags:
        - Application
      summary: Create an application
      description: >-
        **Permissions:** [Build
        Access](https://help.logicgate.com/hc/en-us/articles/4402683190164-Control-Build-Access-for-Applications)


        Create an application from a JSON request body.
      operationId: createApplication
      parameters:
        - name: Authorization
          in: header
          description: >-
            A bearer authorization header containing a Risk Cloud API access
            token in the format `Authorization: Bearer TOKEN` — replace `TOKEN`
            with your actual access token.


            To obtain a Risk Cloud API access token, refer to [Obtain an API
            Access
            Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
            in the [LogicGate Help Center](https://help.logicgate.com/hc/en-us).
          required: true
          schema:
            type: string
          example: Bearer TOKEN
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationApiCreateIn'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationApiOut'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppBadRequestResponse'
components:
  schemas:
    ApplicationApiCreateIn:
      type: object
      properties:
        name:
          type: string
          description: The name of the application
          example: Cyber Risk Management Application
          minLength: 1
        description:
          type: string
          description: The description of the application
          example: Cyber Risk Management Description Text
        color:
          type: string
          description: >-
            The hex representation of the icon color of the application
            (defaults to #00a3de)
          example: '#00a3de'
        icon:
          type: string
          description: The icon type of the application (defaults to CUBES)
          enum:
            - BOOKMARK
            - BOLT
            - BULLHORN
            - CERTIFICATE
            - CHECK_SQUARE_O
            - CLOUD
            - COMMENTS
            - CUBES
            - DOLLAR
            - EXCLAMATION_TRIANGLE
            - TEXT_O
            - FOLDER
            - GIFT
            - GLOBE
            - HEARTBEAT
            - LEAF
            - LEGAL
            - LIFE_RING
            - MEDKIT
            - MONEY
            - PERCENT
            - ROCKET
            - SIGNAL
            - UNIVERSITY
            - USER_CIRCLE
          example: CUBES
        type:
          type: string
          description: The type of Risk Cloud application (defaults to NONE)
          enum:
            - ACCESS_MANAGEMENT
            - AML_KYC
            - ASSET_MANAGEMENT
            - AUDIT_MANAGEMENT
            - BUSINESS_CONTINUITY_PLANNING
            - CHANGE_MANAGEMENT
            - COMPLAINT_MANAGEMENT
            - COMPLIANCE_MANAGEMENT
            - CONTRACT_MANAGEMENT
            - CONTROLS_COMPLIANCE
            - CONTROLS_MANAGEMENT
            - CRISIS_MANAGEMENT
            - CUSTOM
            - CUSTOM_GRC_USE_CASE
            - CYBER_RISK_MANAGEMENT
            - DATA_PRIVACY_MANAGEMENT
            - EMPLOYEE_COMPLIANCE
            - ENTERPRISE_RISK_MANAGEMENT
            - ESG
            - INCIDENT_MANAGEMENT
            - INTERNAL_AUDIT_MANAGEMENT
            - IT_RISK_MANAGEMENT
            - NONE
            - OPERATIONAL_RESILIENCY
            - OTHER
            - POLICY_AND_PROCEDURE_MANAGEMENT
            - POLICY_MANAGEMENT
            - PRIVACY_MANAGEMENT
            - QUANTIFY
            - REGULATORY_COMPLIANCE
            - REPOSITORY
            - RISK_QUANTIFICATION
            - SOX_TESTING
            - STANDARDS_REGULATIONS
            - SURVEY
            - THIRD_PARTY_RISK_MANAGEMENT
          example: CONTROLS_COMPLIANCE
        shortCode:
          type: string
          description: Short display code for the application
          example: TPRM
          pattern: >-
            ^(?! +$)[a-zA-Z0-9 ][a-zA-Z0-9 ]?[a-zA-Z0-9 ]?[a-zA-Z0-9
            ]?[a-zA-Z0-9 ]?[a-zA-Z0-9 ]?[a-zA-Z0-9 ]?[a-zA-Z0-9 ]?[a-zA-Z0-9
            ]?[a-zA-Z0-9 ]?$
      required:
        - name
      title: Application (Create)
    ApplicationApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the application
          example: Cyber Risk Management Application
        description:
          type: string
          description: The description of the application
          example: Cyber Risk Management Description Text
        color:
          type: string
          description: The hex representation of the icon color of the application
          example: '#00a3de'
        icon:
          type: string
          description: The icon type of the application
          enum:
            - BOOKMARK
            - BOLT
            - BULLHORN
            - CERTIFICATE
            - CHECK_SQUARE_O
            - CLOUD
            - COMMENTS
            - CUBES
            - DOLLAR
            - EXCLAMATION_TRIANGLE
            - TEXT_O
            - FOLDER
            - GIFT
            - GLOBE
            - HEARTBEAT
            - LEAF
            - LEGAL
            - LIFE_RING
            - MEDKIT
            - MONEY
            - PERCENT
            - ROCKET
            - SIGNAL
            - UNIVERSITY
            - USER_CIRCLE
          example: CUBES
        type:
          type: string
          description: The type of Risk Cloud application
          enum:
            - ACCESS_MANAGEMENT
            - AML_KYC
            - ASSET_MANAGEMENT
            - AUDIT_MANAGEMENT
            - BUSINESS_CONTINUITY_PLANNING
            - CHANGE_MANAGEMENT
            - COMPLAINT_MANAGEMENT
            - COMPLIANCE_MANAGEMENT
            - CONTRACT_MANAGEMENT
            - CONTROLS_COMPLIANCE
            - CONTROLS_MANAGEMENT
            - CRISIS_MANAGEMENT
            - CUSTOM
            - CUSTOM_GRC_USE_CASE
            - CYBER_RISK_MANAGEMENT
            - DATA_PRIVACY_MANAGEMENT
            - EMPLOYEE_COMPLIANCE
            - ENTERPRISE_RISK_MANAGEMENT
            - ESG
            - INCIDENT_MANAGEMENT
            - INTERNAL_AUDIT_MANAGEMENT
            - IT_RISK_MANAGEMENT
            - NONE
            - OPERATIONAL_RESILIENCY
            - OTHER
            - POLICY_AND_PROCEDURE_MANAGEMENT
            - POLICY_MANAGEMENT
            - PRIVACY_MANAGEMENT
            - QUANTIFY
            - REGULATORY_COMPLIANCE
            - REPOSITORY
            - RISK_QUANTIFICATION
            - SOX_TESTING
            - STANDARDS_REGULATIONS
            - SURVEY
            - THIRD_PARTY_RISK_MANAGEMENT
          example: CONTROLS_COMPLIANCE
        live:
          type: boolean
          description: Whether the application is live
          example: false
        restrictBuildAccess:
          type: boolean
          description: >-
            Whether users with the Build entitlement must be explicitly granted
            permission to edit this application
          example: false
        shortCode:
          type: string
          description: Short display code for the application
          example: TPRM
        object:
          type: string
          description: Identifies the type of object this data represents
          example: application
      title: Application (Response)
    AppBadRequestResponse:
      type: object
      properties:
        property:
          type: string
        value:
          type: string
        message:
          type: string
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
      description: Bearer token issued via the Authentication endpoints.
    basic:
      type: http
      scheme: basic
      description: >-
        HTTP Basic auth using base64-encoded Client Key:Secret Key credentials,
        used only to obtain or refresh a bearer token via the Authentication
        endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.